\name{xmlTreeParse}
\alias{xmlTreeParse}
\title{
Parses XML file into a tree.
}
\description{
The \code{xmlTreeParse} function parses a file into a tree of XML nodes.
}
\usage{
xmlTreeParse(filename)
}
\arguments{
  \item{filename}{
     Name of the file to parse.
  }
}
%%\details{
%%}
\value{
The value is opaqe (of class \code{fxmlDoc}) acts as a virtual list of nodes (of which there is usually just one). The only supported operations are subsetting operators to retrieve the root node (usually \code{[[1]]} or by name). For compatibility with the \code{XML} package \code{$doc} can be used to obtain a list with one named element which is the root node.

Nodes are opaque structures with the following virtual components:

\code{$name} name of the element

\code{$children} list of all entity child nodes.

\code{$attributes} string vector of all attributes

In addition, any other names are interpreted as an attempt to access a child node. When subsetting \code{[[} all names are used directly to match the first child of that name/index.
}

\section{Performance}{To improve performence, especially repeated access, retrieved information (children, attributes, name) is also stored in the node. Repeated queries always yield exactly the same object. FastXML is strictly read-only and was designed for very fast retreival of information from XML documents. It is much faster than the \code{XML} package but does not offer any XML-authoring or other enhanced functionalities.}

%%\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
%%}
\examples{
   doc <- xmlTreeParse(system.file("xml","test.xml",package="FastXML"))
   root <- doc[[1]]
   root$children
   root[['manufacturer']]
   root$table$attributes
   root$chair$price
}
\keyword{utilities}
